<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateTipoCobro extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('tipo_cobro')
			->addColumn('descripcion', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('monto_base', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('modificador', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('monto_neto', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('operacion', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('mod', 'float', ['default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
